Subject: Newcomers 6 month guide to the IETF (comedy)

From: Timothy Mcsweeney <[email-masked]>
Date: Fri, 28 Aug 2020 12:03:09 -0400 (EDT)

Feel free to add anything I'm missing.

***

Tell me why you think that, so we can 'improve' the document.  =  We will change the document in a way that you probably won't like.

Works in the Research department  =  Works to research anything that might be competitive or advantageous

We want to make sure we get security right =  Be sure you only have one page on your website because some of us are going to try to find a way in and figure out what you're up too.

Appeal agenda says 'record results of e-vote'  =   We don't actually vote. There is no voting.  We might tally up objections but we definitely don't vote.

We reject kings, Presidents, etc. =  We definitely have a hierarchy, in process and on paper.

Is not an expert or might be unaware =  Knows exactly what what you are talking about.

We're inclusive =  We have hundreds of ways for you to ask for permission.

We're inclusive =  We support policy changes from other organizations.

We're inclusive =  We will 'encoulture' you into the IETF if you're doing cool stuff without us (looking at you Nottingham, haha)

We're inclusive =  Until we boot you off the mailing list, just kidding, we put you back on the list.

---

From: Jared Mauch <[email-masked]>
Date: Fri, 28 Aug 2020 12:12:42 -0400

> On Aug 28, 2020, at 12:03 PM, Timothy Mcsweeney <[email-masked]> wrote:
> 

I can assure you that the IAB holds votes.

I will say that the IETF (like many other things) requires like many things adapting to the environment you are in.  There are many challenges along the way one faces when moving documents and work forward.

I also think there’s people who are too into getting things published vs getting things working.  It’s much easier to build something then work to make it a standard.

I can think of many private things that could be standards that aren’t, eg: config files for applications.  You see some of this playing out with SNMP models - and now yang.  I’m sure it’ll be replaced with something else at some point too.

An organization may need change, be it in process, culture or otherwise but style also matters over substance.  Did the newcomer orientation and/or guide program not work for you?  As a good mentor told me, turning an aircraft carrier takes time, even if we know where we want to go..

- Jared

---

From: Timothy Mcsweeney <[email-masked]>
Date: Fri, 28 Aug 2020 14:22:08 -0400 (EDT)

Hi Jared,

Maybe comedy isn't my strongest skill.

But to answer your question about the newcomer guide the answer would be no.  I say no because in my particular case I just wanted to get a protocol assignment from IANA.  I thought I had met all the requirements and would be on my merry way.  Then suddenly I have to write a specification.  What the heck do I know about writing specifications?  Nothing, haha.  Then I find out that not only do I have to write it, it has to be high quality too!  haha.  Then I have to know out the IPR policy, the appeals process, the mailing lists, updates vs obsoletes vs historicals, original intents, current best practices, datatracker navigation, rules for working groups vs rules for individuals, standards track or informational....all for what?  a single approval.

An expert review or having to write a specification for me felt like sending a copy of your business plan to your competitors and asking for feedback.

As for the voting thing, everywhere I looked (including the newcomer stuff) I saw no voting at the IETF.  I assumed that the IAB was a part of the IETF.  To add to that confusion I had Murry telling me that the IESG does not vote either.  Maybe new participants should get an organizational chart with MOU's attached.

Tim

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 29 Aug 2020 09:23:49 +1200

There's even a rule in the IAB charter (BCP39 = RFC2850):

>> 3.5 Decision taking
>> 
>>    The IAB attempts to reach all decisions unanimously.  If unanimity
>>    cannot be achieved, the chair may conduct informal polls to determine
>>    consensus.  The IAB may make decisions and take action if at least
>>    seven full members concur and there are no more than two dissents.

The IESG ballot process is not an up/down vote and occasionally it turns out to be non-terminating, so it's kind of half way between rough consensus and voting.

The NomCom votes (BCP10 = RFC8713).

The "no voting" mantra applies to WG consensus decisions (BCP24 = RFC2418).
 
> An organization may need change, be it in process, culture or otherwise but style also matters over substance.  Did the newcomer orientation and/or guide program not work for you?

Jared, it is a fact that the IETF is not simple for a newcomer, and trying to achieve a quick result on what seems a small matter is essentially impossible for a newcomer. And some of what is written at https://www.ietf.org/about/participate/get-started/starting/ is aspirational (full disclosure: I drafted that text, many years ago). I think we're pretty consistent at this: "... if you write something that turns out to be wrong, you may get some quite frank replies" but not so good at this: "The IETF is normally very welcoming to newcomers, and tolerance is the rule."

> An expert review or having to write a specification for me felt like sending a copy of your business plan to your competitors and asking for feedback. 

But in the open standards business, we're not competitors, we're collaborating to produce open standards that allow interoperability and fair competition. So yes, you have to show your working. Any IANA registry that requires expert review or more requires that. In contrast, the lower IANA policies (Private Use, Experimental Use, Hierarchical Allocation, First Come First Served) could presumably be used for proprietary solutions.

     Brian

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 28 Aug 2020 19:17:49 -0400

On Fri, Aug 28, 2020 at 12:13 PM Jared Mauch <[email-masked]> wrote:
>...

See RFC 4144.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

---

From: "Bron Gondwana" <[email-masked]>
Date: Sat, 29 Aug 2020 12:20:23 +1000

No - I think you've pretty much nailed it.

The only thing I would add is something like "rough consensus means that even if literally everyone in the IETF says that you've read the document wrong, they could all be wrong and you right if you've pre-decided your outcome and want the expert reviewers to agree with you rather than point out your incorrect reading".  That's a bit long for a comedy statement though.

Cheers,

Bron

--
  Bron Gondwana, CEO, Fastmail Pty Ltd
  [email-masked]

---

From: Timothy Mcsweeney <[email-masked]>
Date: Fri, 28 Aug 2020 23:43:51 -0400 (EDT)

Haha, I like that one Bron!  I'm going to shorten it to:

The sky is blue = Blue is a corner case for color.